
Partial Class RadGridExportCSVButtonVB
    Inherits System.Web.UI.Page

    Protected Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        RadGrid1.ExportSettings.FileName = "Export"
        RadGrid1.ExportSettings.ExportOnlyData = True
        RadGrid1.ExportSettings.IgnorePaging = True
        RadGrid1.ExportSettings.Csv.ColumnDelimiter = Telerik.Web.UI.GridCsvDelimiter.Tab
        RadGrid1.ExportSettings.Csv.RowDelimiter = Telerik.Web.UI.GridCsvDelimiter.NewLine
        RadGrid1.ExportSettings.Csv.EncloseDataWithQuotes = False
        RadGrid1.ExportSettings.Csv.FileExtension = "txt"
        RadGrid1.MasterTableView.ExportToCSV()
    End Sub
End Class
